    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------
    028     * ContourEntity.java
    029     * ------------------
    030     * (C) Copyright 2002-2007, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: ContourEntity.java,v 1.3.2.3 2007/02/13 16:04:16 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 26-Nov-2002 : Version 1 contributed by David M. O'Donnell (DG);
    040     * 20-May-2004 : Added equals() and clone() methods and implemented
    041     *               Serializable (DG);
    042     * ------------- JFREECHART 1.0.x ---------------------------------------------
    043     * 02-Feb-2007 : Removed author tags all over JFreeChart sources (DG);
    044     *
    045     */
    046
    047    package org.jfree.chart.entity;
    048
    049    import java.awt.Shape;
    050    import java.io.Serializable;
    051
    052    /**
    053     * Represents an item on a contour chart.
    054     *
    055     * @deprecated This class is no longer supported (as of version 1.0.4).
    056     */
    057    public class ContourEntity extends ChartEntity
    058                               implements Cloneable, Serializable {
    059
    060        /** For serialization. */
    061        private static final long serialVersionUID = 1249570520505992847L;
    062
    063        /** Holds the index into the dataset for this entity. */
    064        private int index = -1;
    065
    066        /**
    067         * Constructor for ContourEntity.
    068         *
    069         * @param area  the area.
    070         * @param toolTipText  the tooltip text.
    071         */
    072        public ContourEntity(Shape area, String toolTipText) {
    073            super(area, toolTipText);
    074        }
    075
    076        /**
    077         * Constructor for ContourEntity.
    078         *
    079         * @param area  the area.
    080         * @param toolTipText  the tooltip text.
    081         * @param urlText  the URL text.
    082         */
    083        public ContourEntity(Shape area, String toolTipText, String urlText) {
    084            super(area, toolTipText, urlText);
    085        }
    086
    087        /**
    088         * Returns the index.
    089         *
    090         * @return The index.
    091         */
    092        public int getIndex() {
    093            return this.index;
    094        }
    095
    096        /**
    097         * Sets the index.
    098         *
    099         * @param index  the index.
    100         */
    101        public void setIndex(int index) {
    102            this.index = index;
    103        }
    104
    105        /**
    106         * Tests the entity for equality with an arbitrary object.
    107         *
    108         * @param obj  the object (<code>null</code> permitted).
    109         *
    110         * @return A boolean.
    111         */
    112        public boolean equals(Object obj) {
    113            if (obj == this) {
    114                return true;
    115            }
    116            if (obj instanceof ContourEntity && super.equals(obj)) {
    117                ContourEntity ce = (ContourEntity) obj;
    118                if (this.index != ce.index) {
    119                    return false;
    120                }
    121                return true;
    122            }
    123            return false;
    124        }
    125
    126        /**
    127         * Returns a clone of the entity.
    128         *
    129         * @return A clone.
    130         *
    131         * @throws CloneNotSupportedException if cloning is not supported.
    132         */
    133        public Object clone() throws CloneNotSupportedException {
    134            return super.clone();
    135        }
    136
    137    }